fixes
authorIan Kelling <ian@iankelling.org>
Fri, 14 Jun 2024 01:56:16 +0000 (21:56 -0400)
committerIan Kelling <ian@iankelling.org>
Fri, 14 Jun 2024 01:56:16 +0000 (21:56 -0400)
filesystem/usr/local/bin/abrowser
i3-abrowser
laptop-xrandr

index b67ec8164a21619b6be2cca6fc74efea52f1333e..96c969a4c149ca95aadd09383fa56df94e523534 100755 (executable)
@@ -20,6 +20,7 @@
 # See the License for the specific language governing permissions and
 # limitations under the License.
 
+# note this is duplicated in i3-abrowser
 
 if ! test "$BASH_VERSION"; then echo "error: shell is not bash" >&2; exit 1; fi
 shopt -s inherit_errexit 2>/dev/null ||: # ignore fail in bash < 4.4
@@ -27,13 +28,6 @@ set -eE -o pipefail
 trap 'echo "$0:$LINENO:error: \"$BASH_COMMAND\" exit status: $?, PIPESTATUS: ${PIPESTATUS[*]}" >&2' ERR
 
 
-# https://stackoverflow.com/a/2108540
-tmp=:$PATH:
-del=/usr/local/bin
-tmp=${tmp//:$del:/:}
-tmp=${tmp%:}
-tmp=${tmp#:}
-PATH=$tmp
 
 # -allow-downgrade good enough?
 #rm -f {/p/c/firefox-main-profile,/p/c/firefox-main-profile,/p/c/firefox-vpn2-profile,/mnt/z/firefox-vpn-profile}/compatibility.ini
@@ -45,6 +39,14 @@ PATH=$tmp
 
 
 
+# remove local/bin from path
+# https://stackoverflow.com/a/2108540
+tmp=:$PATH:
+del=/usr/local/bin
+tmp=${tmp//:$del:/:}
+tmp=${tmp%:}
+tmp=${tmp#:}
+PATH=$tmp
 # prefer abrowser
 if type -P abrowser &>/dev/null; then
   b=abrowser
index 55246ee91cce6cf9dcd4e7747a5aa33f130ea70c..83c216a485654ff4da813493435a2853f863d9f1 100755 (executable)
@@ -26,6 +26,14 @@ set -eE -o pipefail
 trap 'echo "$0:$LINENO:error: \"$BASH_COMMAND\" exit status: $?, PIPESTATUS: ${PIPESTATUS[*]}" >&2' ERR
 
 
+# remove local/bin from path
+# https://stackoverflow.com/a/2108540
+tmp=:$PATH:
+del=/usr/local/bin
+tmp=${tmp//:$del:/:}
+tmp=${tmp%:}
+tmp=${tmp#:}
+PATH=$tmp
 # prefer abrowser
 if type -P abrowser &>/dev/null; then
   b=abrowser
@@ -47,7 +55,7 @@ if i3-msg -t get_tree | jq --stream -r 'select(.[1]|scalars!=null) | "\(.[0]|joi
 
 else
   i3-split-maybe
-  abrowser &
+  $b "$@" &
   # on a fast computer, .5 is too fast, 1 is ok. on x200, 1 is too fast, 2 is ok.
   sleep 2
   i3-msg "[workspace=__focused__ class=\"$b\" instance=\"Navigator\" window_role=\"browser\"] mark abrowser"
index bed869d3594d7d293200c49b13c6b724e390bec5..d57b43f1b6ec49f43d50a82e9a72036acb35ab54 100755 (executable)
@@ -32,13 +32,13 @@ output=$(grep -E "^(HDMI|DP)[^ ]* connected [0-9]" $xf| awk '{print $1}' ||:)
 edid() {
   card=$1
   sha256sum </sys/class/drm/$card/edid | grep -oE '^.{10}'
-  }
+}
 
 restart=false
 left_right_arg=--right-of
 if [[ $output ]]; then
 
-  mode=$(grep -A1 -E "^$output" | tail -n1 | awk '{print $1}' $xf)
+  mode=$(grep -A1 -E "^$output" $xf | tail -n1 | awk '{print $1}')
 
   primary_res=$(awk '$2 == "connected" && $3 == "primary" { print $4 }' $xf | sed 's/+.*//')
   primary_x=${primary_res%x*}
@@ -48,13 +48,13 @@ if [[ $output ]]; then
 
   half_x=$(( x / 2 ))
 
-  x_offset=0
+  x_offset=$primary_x
 
   # identify monitors that are always on the left.
   if [[ $output == HDMI2 && $(edid card0-HDMI-A-2) == 192efbdcef ]] || \
        [[ $output == HDMI-1 && $(edid card1-HDMI-A-1 ) == 7c58f9ac1e ]]; then
     left_right_arg=--left-of
-    x_offset=$primary_x
+    x_offset=0
   fi
 
   # some monitors need off then on to become active
@@ -78,6 +78,12 @@ if [[ $output ]]; then
   # /298 & 336 are millimeters. I took them from a monitor I was using. I
   # don't know if they are important, I assume not important enough to
   # change for different monitors.
+
+  for x in LEFT RIGHT; do
+    if xrandr --listmonitors | awk '$2 == BIG-'$x |grep . >/dev/null; then
+      xrandr --delmonitor BIG-$x
+    fi
+  done
   xrandr --setmonitor BIG-LEFT $half_x/298x$y/336+0+$x_offset $output
   xrandr --setmonitor BIG-RIGHT $half_x/298x$y/336+$(( x_offset + half_x ))+0 none